#include "LinkedList.h"


/* define a function to make node*/
Node* make_node(char* item)
{
	Node* temp_ptr = NULL;

	// dynamically allocation some memory space for this node. 

	temp_ptr = (Node*)malloc(sizeof(Node));
	temp_ptr->next_ptr = NULL;
	// for string problem, please use the strcpy, strcmp, .... 
	temp_ptr->grocery_item = item;

	// return something that has type as a Node*;
	return temp_ptr;
}

/* define a function to insert at the front of the linked list*/
int insert_node_at_front(Node** head_ptr, char* item)
{
	Node* mem_ptr = NULL;

	mem_ptr = make_node(item);
	// the linked list is empty
	if (*head_ptr == NULL)
	{
		*head_ptr = mem_ptr;
		
	}
	else
	{
		// the linked list is not empty
		mem_ptr->next_ptr = *head_ptr; // assign the first node to the pointer of the new created node
		*head_ptr = mem_ptr;  // assign the head of the Linked list to the new created node
	}

	return 1;
	//  return integer;
}

void display_link_list(Node* n)
{
	while (n != NULL) 
	{
		printf("%s", n->grocery_item);
		n = n->next_ptr;
	}

}